Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233229 - virt-install: taillibvir: Xen Daemon error : POST operation failed:
Summary: virt-install: taillibvir: Xen Daemon error : POST operation failed:
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-21 02:11 UTC by ericm24x7
Modified: 2008-01-30 15:26 UTC (History)
1 user (show)

Fixed In Version: 0.5.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-30 15:26:41 UTC


Attachments (Terms of Use)
xend.log file (deleted)
2007-03-21 02:11 UTC, ericm24x7
no flags Details
screenshot of initial kernel bootup (deleted)
2007-03-22 18:51 UTC, ericm24x7
no flags Details
setroubleshooter output preventing xen to read config.sxp (deleted)
2007-03-22 18:53 UTC, ericm24x7
no flags Details

Description ericm24x7 2007-03-21 02:11:26 UTC
Description of problem:
virt-install failed after creating storage file. Below shows the traceback result.

Version-Release number of selected component (if applicable):
virt-manager 0.3.1-4.fc7.x86_64
python-virtinst 0.101.0-4.fc7.x86_64
libvirt 0.2.1-1.fc7.x86_64
kernel-xen 2.6.19-1.2898.2.3.fc7.x86_64
xen 3.0.4-9.fc7.x86_64

How reproducible:
persistent

Steps to Reproduce:
1. virt-install
 
Below is the console outputs:

[root@fiji3 images]# virt-install
What is the name of your virtual machine? v31f3  
 How much RAM should be allocated (in megabytes)? 500
 What would you like to use as the disk (path)? /var/lib/xen/images/v31f3.i
 How large would you like the disk (/var/lib/xen/images/v31f3.i) to be (in
gigabytes)? 6
 Would you like to enable graphics support? (yes or no) yes
 What is the install location? http://192.168.3.102/a/fed/x86_64/os

Starting install...
Retrieving RPM-GPG-KEY... 100% |=========================| 1.9 kB    00:00     
Retrieving vmlinuz...     100% |=========================| 2.0 MB    00:00     
Retrieving initrd.img...  100% |=========================| 5.6 MB    00:00     
Creating storage file...  100% |=========================| 6.0 GB    00:00     
taillibvir: Xen Daemon error : POST operation failed: (xend.err 'Device 0 (vif)
could not be connected. Hotplug scripts not working.')
Traceback (most recent call last):
  File "/usr/sbin/virt-install", line 484, in <module>
    main()
  File "/usr/sbin/virt-install", line 445, in main
    dom = guest.start_install(conscb,progresscb)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 476, in
start_install
    return self._do_install(consolecb, meter)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 493, in
_do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib64/python2.5/site-packages/libvirt.py", line 429, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirt.libvirtError: virDomainCreateLinux() failed POST operation failed:
(xend.err 'Device 0 (vif) could not be connected. Hotplug scripts not working.')

Comment 1 ericm24x7 2007-03-21 02:11:26 UTC
Created attachment 150548 [details]
xend.log file

Comment 2 Daniel Berrange 2007-03-21 02:18:53 UTC
Does xenbr2  exist as a bridge device, and if so, did you see any SELinux AVC
errors reported perhaps ? The latest Xen ought to give a sane error message if
the former occurred, so I can only suspect the latter based on the logs.


Comment 3 ericm24x7 2007-03-21 17:05:55 UTC
Yes xenbr2 does exist as bridge device. I didn't see any AVC error, but to put
selinux out of the equation I disabled it by executing "setenforce 0". Same problem.

My guess of the problem: 
virt-install is trying to configure and install from the first network (eth1,
which it found first) rather than from the preferred second network (eth2, where
the install source is located). Maybe xen couldn't properly configure all the
virtual interfaces required for multiple LAN cards. I have 3 LAN cards currently
installed. 

When I get a chance I'll try having only one LAN card and see if it works.

Comment 4 ericm24x7 2007-03-22 18:51:23 UTC
Created attachment 150689 [details]
screenshot of initial kernel bootup

Comment 5 ericm24x7 2007-03-22 18:53:36 UTC
Created attachment 150691 [details]
setroubleshooter output preventing xen to read config.sxp

Comment 6 ericm24x7 2007-03-23 20:57:28 UTC
With the latest devel build, everything works with the exception of selinux
blocking the virt-manager from proceeding. 

I will close this one and open another for selinux problem.



Comment 7 Red Hat Bugzilla 2007-07-25 02:07:52 UTC
change QA contact

Comment 8 Cole Robinson 2008-01-30 15:26:41 UTC
Reported said this is working now so I'm going to close this.


Note You need to log in before you can comment on or make changes to this bug.